<?php 
  include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	   $id_cd=$sesion->id;
       
         $conti = $_POST["continua"];
       
       
       
        
       date_default_timezone_set("America/Mexico_City");
       $sToday=date("Y/m/d");

      if($id_cd==13){
	     $eltext="(usuarios_ci_idusuarios_ci=13 or usuarios_ci_idusuarios_ci=90 or usuarios_ci_idusuarios_ci=88 or usuarios_ci_idusuarios_ci=9)"; 
      }
      else{
	     $eltext="transacciones.usuarios_ci_idusuarios_ci='$dato[0]'";  
      }
       
echo "<script language=\"JavaScript\" src=\"popcalendar.js\"></script>

<center><br><font color=\"#000099\" size=\"+3\"><b>Calcular Peso</b></font><br><br>
";
 
/*$qPP = "SELECT idtransacciones, usuarios_ci_idusuarios_ci, consec, rfc, nombre, appat, apmat, cantidad, id_inver, "
        . "fechat from transacciones join "
        . "depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on "
        . "inversionista.id_inver=transacciones.inversionista_id_inver where transacciones.cdentrega <> '$dato[0]' and transacciones.usuarios_ci_idusuarios_ci='$dato[0]' and transacciones.statusentrega <> 'CANCELADO' and transacciones.fechat='$sToday' ";*/
	$qPP = "SELECT idtransacciones, usuarios_ci_idusuarios_ci, consec, rfc, nombre, appat, apmat, cantidad, id_inver, "
        . "fechat from transacciones join "
        . "depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on "
        . "inversionista.id_inver=transacciones.inversionista_id_inver where transacciones.cdentrega != '$dato[0]' and $eltext and (tipostr_idtipostr=10 or tipostr_idtipostr=11  or tipostr_idtipostr=13)  and (statusentrega='PENDIENTE' or statusentrega='AGRUPADO') and fechat  >= NOW() - INTERVAL 10 day ";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
$contcheck=0;  
	echo "	<form id='continuar' action='calcula_peso.php' method='POST'>
	<table border=\"1\" align=\"center\">
        <tr bgcolor=\"#594106\">
        <th></th>
        <th><font color=\"#FFFFFF\">Pedido</font></th>
        <th><font color=\"#FFFFFF\">Transacci&oacute;n</font></th>
	<th><font color=\"#FFFFFF\">Fecha</font></th>
        <th><font color=\"#FFFFFF\">RFC</font></th>
        <th><font color=\"#FFFFFF\">Nombre</font></th>
        <th><font color=\"#FFFFFF\">Cantidad</font></th>
        <th><font color='#FFFFFF'>Tickets</font></th>
        </tr>";
if(mysql_affected_rows($conexion))
{

	
        
	while (($objetoPP=mysql_fetch_object($rPP)) )
{

echo "  <tr bgcolor=\"#ece3bb\">"
    . "<td>"
    . "<input type='checkbox' name=regas[]  value='$objetoPP->idtransacciones'  />" 
    . "</td> "
    . "<td>$objetoPP->usuarios_ci_idusuarios_ci"."-"."$objetoPP->consec</td>"
    . "<td align='center'>$objetoPP->idtransacciones</td>"
    . "<td align='center'> $objetoPP->fechat</td>"
    . "<td align='center'> $objetoPP->rfc</td>"
    . "<td align='center'>  $objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td>"
    . "<td align='center'> $objetoPP->cantidad</td>"
		  
		. "<td>"
		. "<form name=\"pagar\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\">

			<input type=hidden name=dist value=$objetoPP->id_inver>

			<input type=hidden name=pedido value=$objetoPP->idtransacciones>
<input type=hidden name=tipons value=$objetoPP->tipostr_idtipostr>
			

								 <input type=\"submit\" value=\"INFO PEDIDO\" name=\"infoped\"></form>"
                . "</td></tr>";

        $contcheck++;
    
		    
}//while
}
	$qPP = "SELECT transacciones.idtransacciones, usuarios_ci_idusuarios_ci, consec, rfc, nombre, appat, apmat, cantidad, id_inver, nombrec, "
        . "fechat from transacciones join "
        . "depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on "
        . "inversionista.id_inver=transacciones.inversionista_id_inver left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones where transacciones.cdentrega != '$dato[0]' and tipostr_idtipostr=6 and  (statusentrega='PENDIENTE' or statusentrega='AGRUPADO') and fechat >= NOW() - INTERVAL 10 day";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{

	while (($objetoPP=mysql_fetch_object($rPP)) )
{

echo "  <tr bgcolor=\"#ece3bb\">"
    . "<td>"
    . "<input type='checkbox' name=regas[]  value='$objetoPP->idtransacciones'  />" 
    . "</td> "
    . "<td>$objetoPP->usuarios_ci_idusuarios_ci"."-"."$objetoPP->consec</td>"
    . "<td align='center'>$objetoPP->idtransacciones</td>"
    . "<td align='center'> $objetoPP->fechat</td>"
    . "<td align='center'> $objetoPP->rfc</td>"
    . "<td align='center'>  $objetoPP->nombrec</td>"
    . "<td align='center'> $objetoPP->cantidad</td>"
		  
		. "<td>"
		. "<form name=\"pagar\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\">

			<input type=hidden name=dist value=$objetoPP->id_inver>

			<input type=hidden name=pedido value=$objetoPP->idtransacciones>
<input type=hidden name=tipons value=$objetoPP->tipostr_idtipostr>
			

								 <input type=\"submit\" value=\"INFO PEDIDO\" name=\"infoped\"></form>"
                . "</td></tr>";

        $contcheck++;
    
		    
}//while
   echo"</table><br>";
}//if
echo" <input type=hidden name=continua value='5'>
             <input type='submit' name='seguir' id='PedToEntre' value='Calcular' />"
                . "</form><br><br<br>";

if($conti==5){
	
	 $fruit = $_POST["regas"];
	 echo"<br><br>Transacciones en este paquete:<br><table border=1>";
	 $text="";
     $how_many = count($fruit); 
     
     
     
 for ($i=0; $i<$how_many; $i++) {
  if($i==0){$text= $text . "pedido.transacciones_idtransacciones=$fruit[$i]";}else{
  $text= $text . " or pedido.transacciones_idtransacciones=$fruit[$i]";}
 echo"<tr><td>$fruit[$i]</td></tr>";
     }
echo"</table><br>";
	
$totpeso=0;

  $contenidopedido="SELECT productos.nombreprod ,sum(cant) as cant, peso from pedido
   inner join productos on pedido.productos_idprod=productos.id_prod 
   where $text group by nombreprod";
   echo"Contenido del paquete:<br><table border=1><tr><td>Cant</td><td>Producto</td><td>Peso(gr)</td></tr>";

$ca1 = mysql_query($contenidopedido) or die ('Error (Registro No Encontrado2): ' . mysql_error());
   while($ra1 = mysql_fetch_row($ca1))
   {$pesloc=$ra1[2]*$ra1[1]; $totpeso+=$pesloc;
	   echo"<tr><td>$ra1[1]</td><td>$ra1[0]</td><td>$pesloc</td></tr>";
	 
	};
	$elpeso=$totpeso/1000;
	$elpeso=round($elpeso, 2);

echo"</table><br><br>Total peso en KG: $elpeso";


}
/*
echo"<hr><br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Ver pedidos por fecha </label 
    <form name=\"Agrega\" action=\"entregados.php\" method=\"post\">
    <div align=\"center\"><br>
    <table  height=\"90\" border=\"1\">
        <tr>
    <td>
    Fecha Inicial:<td/>
    <td>
        <input type='text' name='fecha_i' value=''>
        <input type='image' src='ew_calendar.gif' onClick='popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\">
        </td>";
     echo"</tr>
    <tr>
    <td>
    Fecha Final:<td/>
    <td>
        <input type='text' name='fecha_f' value=''>
        <input type=\"image\" src=\"ew_calendar.gif\"onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\">
        </td>";
     echo"</tr></table>
    
    <br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Pedidos\" />
    
  </div></form><br><br><br>";

 
*/


              

?>
